%define evomajor %(pkg-config evolution-shell --variable=execversion)
%define evominor %(echo %evomajor|awk -F. '{print $2}')
%define evounstable %(echo 2.$((%evominor-1)))
%define evonextmajor %(echo 2.$((%evominor+1)))
%define evoplugindir %(pkg-config evolution-plugin --variable=plugindir)

Summary:	RSS Reader for Evolution Mail
Name:		evolution-rss
Version:	0.2.5
Release:	%mkrel 2
Group:		Networking/News
License:	GPLv2+
URL:		http://gnome.eu.org/index.php/Evolution_RSS_Reader_Plugin
Source0:	http://gnome.eu.org/%name-%version.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	evolution-devel >= 2.4.1
BuildRequires:	libGConf2-devel GConf2
BuildRequires:	gtk+2-devel >= 2.12.0
BuildRequires:	dbus-glib-devel
BuildRequires:	libgnomecanvas2-devel
BuildRequires:	libxml2-devel
BuildRequires:	libsoup-2.4-devel >= 2.2
BuildRequires:	webkitgtk-devel
Requires:	evolution >= %evounstable
Requires:	evolution < %evonextmajor
BuildRequires:	intltool
Requires(post,preun): GConf2

%description
This plugin enables support for RSS feeds in evolution mail.

%prep
%setup -qn %name-%version

%build
%configure2_5x --disable-schemas-install --disable-gecko --with-primary-render=webkit
%make

%if %mdkversion < 200900
%post
%post_install_gconf_schemas %name
%endif

%preun
%preun_uninstall_gconf_schemas %name

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS FAQ NEWS README TODO
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{evoplugindir}/*
%{_datadir}/evolution/%{evomajor}/*/*


%changelog
* Mon Jun 20 2011 Funda Wang <fwang@mandriva.org> 0.2.5-2mdv2011.0
+ Revision: 686168
- rebuild for new webkit

* Fri May 20 2011 Funda Wang <fwang@mandriva.org> 0.2.5-1
+ Revision: 676232
- new version 0.2.5

* Sat Oct 02 2010 Funda Wang <fwang@mandriva.org> 0.2.1-0.git20101002.1mdv2011.0
+ Revision: 582483
- new snapshot

* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 0.1.9-0.git20100429.1mdv2010.1
+ Revision: 540890
- New git snapshot
- patches merged

* Mon Mar 15 2010 Götz Waschk <waschk@mandriva.org> 0.1.9-0.git20100128.1mdv2010.1
+ Revision: 519786
- reenable -Werror compiler option
- update build deps
- fix build with gtk+ 2.19.7

  + Funda Wang <fwang@mandriva.org>
    - New snapshot to build with latest evo

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 0.1.4-1mdv2010.0
+ Revision: 421475
- new version
- drop patches

* Thu May 14 2009 Götz Waschk <waschk@mandriva.org> 0.1.2-5mdv2010.0
+ Revision: 375651
- update build deps

  + Funda Wang <fwang@mandriva.org>
    - fix linkage
    - rebuild for new evo

* Thu Mar 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.2-4mdv2009.1
+ Revision: 354408
- Rebuild for new libwebkitgtk major
- Disable -Werror=format-security

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 0.1.2-3mdv2009.1
+ Revision: 299526
- rebuild for new evolution

* Fri Oct 31 2008 Funda Wang <fwang@mandriva.org> 0.1.2-2mdv2009.1
+ Revision: 298866
- BR intltool
- prefer webkit backend for now
- New version 0.1.2
- drop old patches

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 0.1.0-6mdv2009.0
+ Revision: 289238
- rebuild for new xulrunner
- specify evo requirement

* Thu Sep 25 2008 Funda Wang <fwang@mandriva.org> 0.1.0-5mdv2009.0
+ Revision: 288029
- merge ubuntu patches:
  * mainly concerns gecko glue
  * support evo 2.24
  * fix imports of firefox bookmarks

* Wed Jul 30 2008 Funda Wang <fwang@mandriva.org> 0.1.0-4mdv2009.0
+ Revision: 255183
- build with xulrunner

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2009.0
+ Revision: 236373
- rebuilt for mozilla-firefox-2.0.0.16

* Sun Jul 06 2008 Funda Wang <fwang@mandriva.org> 0.1.0-2mdv2009.0
+ Revision: 232049
- rebuild for new evo
- use rpm macro rather than hardcode evo version

* Thu Jul 03 2008 Funda Wang <fwang@mandriva.org> 0.1.0-1mdv2009.0
+ Revision: 230941
- BR firefox
- update to new version 0.1.0

* Tue Mar 04 2008 Funda Wang <fwang@mandriva.org> 0.0.8-1mdv2008.1
+ Revision: 178468
- New verison 0.0.8

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Funda Wang <fwang@mandriva.org> 0.0.7-1mdv2008.1
+ Revision: 120326
- install schema file
- simplify file list
- New version 0.0.7

* Mon Nov 19 2007 Funda Wang <fwang@mandriva.org> 0.0.6-4mdv2008.1
+ Revision: 110437
- fix requires
- rebuild for new evo

* Sat Oct 20 2007 Funda Wang <fwang@mandriva.org> 0.0.6-3mdv2008.1
+ Revision: 100624
- requires specific evo version

* Sat Oct 20 2007 Funda Wang <fwang@mandriva.org> 0.0.6-2mdv2008.1
+ Revision: 100572
- add doc files
- clearify the license
- correct RPM group

* Sat Oct 20 2007 Funda Wang <fwang@mandriva.org> 0.0.6-1mdv2008.1
+ Revision: 100569
- import evoluiton-rss
- Created package structure for evolution-rss.

